libebook::FB2StyleContextBase Class Reference documentation

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libebook::FB2StyleContextBase Class Reference

`#include <FB2ParserContext.h>`

Inheritance diagram for libebook::FB2StyleContextBase:

## Public Member Functions
| FB2StyleContextBase (FB2ParserContext *parentContext, const FB2Style &style)
Public Member Functions inherited from libebook::FB2ParserContext
| FB2ParserContext (FB2ParserContext *parentContext, FB2Collector *collector=0)
| Create a new context with `parentContext` as parent. More...
virtual FB2XMLParserContext * | leaveContext () const
| Destroy this context and return parent. More...
FB2Collector * | getCollector () const
| Get the collector. More...
FB2ParserContext * | getParentContext () const
| Get the parent context. More...
Public Member Functions inherited from libebook::FB2XMLParserContext
virtual | ~FB2XMLParserContext ()=0
virtual void | startOfElement ()=0
| Signalize the start of an element. More...

## Protected Member Functions
FB2Style & | getStyle ()
FB2TextFormat & | getTextFormat ()
virtual FB2XMLParserContext * | element (const FB2TokenData &name, const FB2TokenData &ns)
| Create a context for parsing a child element. More...
virtual void | endOfElement ()
| Signalize the end of an element. More...
virtual void | attribute (const FB2TokenData &name, const FB2TokenData *ns, const char *value)
| Process an attribute. More...
virtual void | endOfAttributes ()
| Signalize the end of attributes. More...
virtual void | text (const char *value)
| Process textual content of an element. More...

## Private Attributes
FB2Style | m_style

## Constructor & Destructor Documentation

## ◆ FB2StyleContextBase()

libebook::FB2StyleContextBase::FB2StyleContextBase | ( | FB2ParserContext * | parentContext,
|  | const FB2Style & | style
| ) |  |

## Member Function Documentation

## ◆ attribute()

void libebook::FB2StyleContextBase::attribute | ( | const FB2TokenData & | name,
|  | const FB2TokenData * | ns,
|  | const char * | value
| ) |  |
| protectedvirtual

Process an attribute.

Attributes are handled to the current element's context one by one.

Implements libebook::FB2XMLParserContext.

Reimplemented in libebook::FB2CellContext, libebook::FB2AContext, and libebook::FB2ParaContextBase.

Referenced by libebook::FB2ParaContextBase::attribute().

## ◆ element()

FB2XMLParserContext * libebook::FB2StyleContextBase::element | ( | const FB2TokenData & | name,
|  | const FB2TokenData & | ns
| ) |  |
| protectedvirtual

Create a context for parsing a child element.

Returns
  A new context or `0` if the child element cannot be handled.

Implements libebook::FB2XMLParserContext.

## ◆ endOfAttributes()

void libebook::FB2StyleContextBase::endOfAttributes | ( |  | ) |
| protectedvirtual

Signalize the end of attributes.

Implements libebook::FB2XMLParserContext.

Reimplemented in libebook::FB2CellContext, and libebook::FB2AContext.

## ◆ endOfElement()

void libebook::FB2StyleContextBase::endOfElement | ( |  | ) |
| protectedvirtual

Signalize the end of an element.

Implements libebook::FB2XMLParserContext.

Reimplemented in libebook::FB2CellContext, and libebook::FB2ParaContextBase.

## ◆ getStyle()

FB2Style & libebook::FB2StyleContextBase::getStyle | ( |  | ) |
| protected

Referenced by element(), libebook::FB2ParaContextBase::startOfElement(), libebook::FB2AContext::text(), and text().

## ◆ getTextFormat()

FB2TextFormat & libebook::FB2StyleContextBase::getTextFormat | ( |  | ) |
| protected

Referenced by libebook::FB2CodeContext::startOfElement(), libebook::FB2EmphasisContext::startOfElement(), libebook::FB2StrikethroughContext::startOfElement(), libebook::FB2StrongContext::startOfElement(), libebook::FB2SubContext::startOfElement(), and libebook::FB2SupContext::startOfElement().

## ◆ text()

void libebook::FB2StyleContextBase::text | ( | const char * | value | ) |
| protectedvirtual

Process textual content of an element.

This function can be called more than once if the element has mixed content.

Implements libebook::FB2XMLParserContext.

Reimplemented in libebook::FB2AContext.

## Member Data Documentation

## ◆ m_style

FB2Style libebook::FB2StyleContextBase::m_style
| private

Referenced by attribute(), getStyle(), and getTextFormat().

The documentation for this class was generated from the following files:

- FB2ParserContext.h
- FB2ParserContext.cpp